<mamecheat version="1">

  <cheat desc="Open all doors Now!"> <comment>Activate this cheat when you are not killing or about to be hit otherwise it may not work on the first activation</comment>
    <script state="on">
      <action>maincpu.pb@904B14=0A</action>
      <action>maincpu.pb@904B15=7B</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Health (Warrior)">
    <script state="run">
      <action>maincpu.pb@9048D4=27</action>
      <action>maincpu.pb@9048D7=10</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys (Warrior)">
    <script state="run">
      <action>maincpu.pb@9048E8=06</action>
    </script>
  </cheat>

  <cheat desc="Never Have Keys (Warrior)">
    <script state="run">
      <action>maincpu.pb@9048E8=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions (Warrior)">
    <script state="run">
      <action>maincpu.pb@9048E4=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Health (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@9048D8=27</action>
      <action>maincpu.pb@9048DB=10</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@9048E9=06</action>
    </script>
  </cheat>

  <cheat desc="Never Have Keys (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@9048E9=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions (Valkyrie)">
    <script state="run">
      <action>maincpu.pb@9048E5=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Health (Wizard)">
    <script state="run">
      <action>maincpu.pb@9048DC=27</action>
      <action>maincpu.pb@9048DF=10</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys (Wizard)">
    <script state="run">
      <action>maincpu.pb@9048EA=06</action>
    </script>
  </cheat>

  <cheat desc="Never Have Keys (Wizard)">
    <script state="run">
      <action>maincpu.pb@9048EA=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions (Wizard)">
    <script state="run">
      <action>maincpu.pb@9048E6=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Health (Elf)">
    <script state="run">
      <action>maincpu.pb@9048E0=27</action>
      <action>maincpu.pb@9048E3=10</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys (Elf)">
    <script state="run">
      <action>maincpu.pb@9048EB=06</action>
    </script>
  </cheat>

  <cheat desc="Never Have Keys (Elf)">
    <script state="run">
      <action>maincpu.pb@9048EB=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions (Elf)">
    <script state="run">
      <action>maincpu.pb@9048E7=06</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
